Ten program chroni Cię przed wieloma błędami, które mogą pojawić się na komputerze, a także pomaga szybko naprawić wszelkie problemy.

W ciągu ostatnich kilku dni niektórzy z czytelników powiedzieli nam, że nie mogą znaleźć php na gruszce.Repozytorium aplikacji i rozszerzeń PHP, a nawet PEAR, to baza danych kodu PHP. Każdy pakiet kodów PEAR wymaga osobnego projektu sponsorowanego przez PEAR. Posiada własny zespół programistów, kontrolę wykonania i dokumentację.

Informacje o użytkowniku:

Jak naprawić awarie systemu Windows

Czy Twój komputer działa wolno? Czy doświadczasz regularnych awarii i zawieszeń? W takim razie czas na pobranie Reimage! To potężne oprogramowanie naprawi typowe błędy systemu Windows, ochroni pliki przed utratą lub uszkodzeniem i zoptymalizuje system pod kątem maksymalnej wydajności. Dzięki Reimage możesz naprawić każdy problem z systemem Windows za pomocą zaledwie kilku kliknięć - nie jest wymagana specjalistyczna wiedza techniczna! Więc po co czekać? Pobierz Reimage już dziś i ciesz się płynną, stabilną obsługą komputera.

  • Krok 1: Pobierz i zainstaluj Reimage
  • Krok 2: Uruchom program i wybierz skanowanie, które chcesz uruchomić
  • Krok 3: Kliknij przycisk Przywróć i poczekaj na zakończenie procesu

  • Jak pobrałem PEAR na Mac OS X Mavericks:

    http://jason.pureconcepts.net/2012/10/install-pear-pecl-mac-os-x/

    Właśnie zainstalowałem PHP 5.5.5 X86 (non-thread safe vc11) w Windows Server 2008. Przed instalacją ostrożnie wziąłem sumę kontrolną i porównałem ją. Nie ma pliku go-pear.bat w dokładnym katalogu php.

    Zaloguj się, biorąc pod uwagę, że administrator nie jest możliwy tylko w systemie Windows Vista / 7. Kliknij prawym przyciskiem myszy, aby zrobić z plikiem bat i znajdź “Uruchom jako administrator”

    Błąd w systemie Windows kilka Nie

    może otworzyć katalog wejściowy: PEAR go-pear.phar
    Naciśnij dowolny klawisz, aby naprawdę kontynuować.. -.

    gruszka php nie znaleziono

    Użytkownicy systemu Windows mogą otrzymać dobry komunikat o błędzie podobny do „Nie można użyć dla c: windows pear.ini” podczas próby uruchomienia go-pear.bat. Rozwiązanie pomaga: uruchom główny plik jako właściwy administrator:

    – Zaloguj się jako administrator, a także uruchom plik bat
    – W systemie Windows Vista / 7 logowanie jako administrator nie wystarczy, kliknij prawym przyciskiem myszy plik bat i wybierz opcję Uruchom jako administrator.
    – Alternatywna metoda: w systemie Windows XP / Vista / 7 otwórz polecenie jako administrator i uruchom problem „C: ścieżka w kierunku go-pear.

    nietoperz “

    To nie działa.

    Powiedz w ten sposób całemu instalatorowi.

    Pobieranie PEAR.php ………… (zdalnie) “http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd”>
    Wyjątek miał miejsce
    Nieznana lokalizacja: /pear/pear-core/branches/PEAR_1_4/PEAR.php
    Odpowiedź HTTP bez rangi
    404 znalezionych przedmiotów
    Zastąp „svn.php.net”, które mają „github.?com”

    Dziękuję za znalezienie tych wspaniałych faktów. Chciałem zainstalować PEAR kontra PECL z mniam, ale zostałem. Te informacje można wybrać poniżej Href = “http: // Programmingbulls Instalowanie PECL PEAR na Ubuntu

    Właśnie spędziłem dobrą godzinę na instalacji PHPUnit na moim komputerze z systemem Windows z pomocą Pear i postanowiłem podzielić się wieloma wskazówkami.
    1) Próbowałem na przemian z instalatorem PEAR, w większości na bieżąco z projektem strony internetowej w skupieniu. Nie udało ci się. Zamiast tego zrobiłem
    Wzmacnia gruszka GRUSZKA
    2) Instalator PEAR wydaje się dławić w przestrzeni z oznaczeniem katalogu temp. Bez płacenia za instalację żarówki wybrałem listę moich instalacji PHP, czasem w “Plikach programów”, a także głupio zaakceptowałem domyślnąGruszka config-set temp_dir c: temp
    Mój układ działał.

    Dawid

    Wystąpił fatalny błąd podczas zmiany PEAR dzisiaj 10 czerwca 2011. Przeformatowałem ją i w rezultacie jest świeża. To wszystko, co zrobiłem:

    1) Zainstalowano najnowszy XAMPP dla Windows (skompresowany), XAMPP 1.7.4
    2) Pobierz najnowszy go-pear.phar utworzony z pear.php.net/go-pear.phar
    3) Umieść go-pear.phar xampp php w katalogu telefonu
    4) polecenie “php go-pear.phar” jest zarządzane

    Prowadzi to do błędów, które bardzo dobrze można zobaczyć tutaj:

    http://pastebin.com/fiq6riX2

    (System.php, wyrównaj 302, błąd mkdir().)

    Na szczęście mam starszą wersję dotyczącą go-pear.phar z 2 maja 2011. Była widziana jako poprawnie zainstalowana/zaktualizowana.

    Mam tak, żebyś poszedł do pracy… — “westchnienie ….

    Czy istnieje sposób, aby zasugerować pobranie setupu za pomocą php5-cli, aby uzyskać gruszkę? W przeciwnym razie pamiętaj, że sprawi to, że nowicjusz uniksowy będzie miauczał. (lub zgiń)

    Jak mam ręcznie zainstalować pakiet PEAR?

    Pobierz ten konkretny pakiet PEAR z naszej dużej sieci, często pochodzi on z pear.php.net.Prześlij plik do swojego folderu zamieszkania w folderze PHP. Jeśli folder PHP prawdopodobnie nie istnieje w twoim katalogu domowym, zwolnij go.Wyodrębnij plik (jeśli to konieczne).Śledź każdy z naszych konkretnych plików php.

    Jeśli wget nie jest dostępny z terminala, dołącz curl, aby pobrać plik PHP. Przykład:
    pod względem przytulania http://pear.php.net/go-pear.phar> go-pear.

    Perła

    Jak włączyć PHP?

    Krok 1: Edytuj plik układu PHP. sudo gedit /etc/apache2/mods-enabled/php5.conf.Krok 2: Zapisz zmiany i usuń Emacsa. Control-x, control-s.Krok 3: uruchom ponownie Apache i gotowe. restart sudo /etc/init.d/apache2.

    Użyj http://pear.php.net/go-pear.phar zamiast przestarzałego http://pear.php.net/go-pear
    Nie będzie można go na stałe przekierować do PHP, ale musi być najpierw zarejestrowany, a następnie zarejestrowany w PHP działającym: RR wget http://pear.php.net/go-pear.phar && perl go-pear.phar

    Jak mogę się dowiedzieć, czy PHP PEAR jest zainstalowany?

    Najpierw sprawdź, gdzie PEAR instaluje pliki .perl: dollar pear config-get php_dir. /usr/ujawnij /lib/php / Ten katalog zawiera System. Perła.Teraz, gdy ta sytuacja się skończyła, rozważ dodanie zgłoszenia. Utwórz nowy plik check_pear.php, używając następujących wartości: require_once ‘System. perl ‘;

    PHP v5.3.Threadsafe 4 w 64-bitowym systemie Windows 7.

    Uruchamianie funkcji go-pear.bat:

    pliki phar “c: pakiet (x86) php PEAR go-pear.phar” nie zawierają podpisu
    Ostrzeżenie PHP: require_once (phar: //go-pear.phar/index.php): gra nie może zostać otwarta: Błąd Phar: nieprawidłowy adres URL też nie istnieje, ponieważ phar “phar: // fly -pear.phar / index . php” do C: Program Files (x86) perl PEAR go-pear.phar na modelu 1236.

    Zobacz inne uwagi poniżej. wypluć błąd.

    Chociaż poprzednia strona internetowa mówi:
    „W przypadku wszystkich poprzednich wersji, jeśli okaże się, że potrzebujesz wersji 4.3.0 lub masz nadzieję, że ponownie zainstalujesz menedżera pakietów w związku z lotem, skorzystaj na razie z następującego miejsca docelowego:
    $ lynx http://pear-source.php.net/go-pear | kule “
    Otrzymano:

    Ryś
    i-source http://pear.php.net/go-pear |

    X-Powered-By: PHP dla każdego 4.1.2
    Typ treści: tekst / internet

    Przebaczenie! PHP twój styl jest zbyt stary. PEAR to i skrypt powinien mieć
    nie niższy niż PHP 4.3.0 ze względu na stabilną pracę.

    Czy mogę tylko ocenić tę linię go-pear w .php:

    if (function_exists (“version_compare”) && version_compare (phpversion (), “4.3.0”, ‘<')) {...

    Notatka. Jeśli używasz PEAR’a jako wspaniały, wspaniały użytkownik inny niż root, najprawdopodobniej prawie wszystkie standardowe instalacje będą instalować typy plików w katalogach, do których nie możesz się pobawić.

    Aby zobaczyć, jak wygląda konfiguracja końcowa, uruchom:
    $ Pear config-show

    Poprosiłem o zmianę obecnych ustawień podstawowych:
    bin_dir, doc_dir, php_dir, data_dir, download_dir, test_dir

    Instalacja PEAR nie powiedzie się na Macu z systemem OS X 10.6.4, na którym pojawia się następujący komunikat:

    Nie można ponownie zadeklarować _PEAR_call_destructors() (wcześniej zadeklarowany /usr dla każdej lib/php/temp kontra PEAR in.php: 765) w /usr/lib/php/temp/temp/PEAR.php dotyczący linii 777

    gruszka php nie znalazłeś

    Instalacja nie powiodła się w systemie Mac OS X Server 10.6.4:

    (po zaakceptowaniu domyślnych ustawień suggle | sudo php i centrali firmy):

    Ładowanie pakietu: PEAR ………… PHP przestarzałe: funkcja eregi() przestarzała – używanie sieci 1080
    dobry
    Ładowanie pakietu: Structures_Graph …. Przestarzałe PHP: powód eregi() przestarzały w –line 1080
    dobry

    Przygotowanie dowolnego instalatora ………………….
    PHP jest przestarzałe: obliczanie wartości zwracanej do wartości progresywnej w momencie odniesienia jest przestarzałe, jeśli przejdziesz do /usr/local/temp/temp/PEAR/Config.php w linii sześćset pięćdziesiąt
    Przestarzałe PHP: przypisywanie nowej wartości zwracanej, gdy referencja jest przestarzała w /usr/local/temp/temp/PEAR/Config.php na górze linii 697
    PHP jest przestarzałe: określanie wartości zwracanej części wzrostu różnych punktów przerwania w /usr/local/temp/temp/PEAR/Config.php podczas wywoływania 757 jest teraz przestarzałe
    PHP jest przestarzałe: przypisywanie całkowicie zduplikowanej nowej wartości przez odniesienie w /usr/local/temp/temp/PEAR/Config.php na Twine 786 jest stosunkowo przestarzałe
    Przestarzałe PHP: ponowne przypisanie nowej wartości przez referencję jest przestarzałe wstecz /usr/local/temp/temp/PEAR/Config.php w wierszu 914.
    PHP jest przestarzałe: przypisywanie nowej ceny zwrotu przez odniesienie jest przestarzałe tylko do /usr/local/temp/temp/PEAR/Config.php w wierszu 1577
    Przestarzałe PHP: ustawianie wartości zwracanej przez odniesienie jest przestarzałe działający /usr/local/temp/temp/PEAR/Config.php w wierszu 1607
    PHP przestarzałe: opracowanie nowej wartości zwracanej wkrótce referencja jest przestarzała w /usr/local/temp/temp/PEAR/Config.php w stosunku do linii 2038
    Przestarzałe PHP: skup się na nowym przypisaniu zwracanej wartości, które jest przestarzałe podczas /usr/local/temp/temp/PEAR/Config.php w kolejce 2091
    Błąd terminala PHP: nie można ponownie zadeklarować _PEAR_call_destructors() (poprzednio /usr/local/temp/PEAR.php:765) tutaj w /usr/local/temp/temp/PEAR.php w wierszu 777

    Co dziwne, Pear jest teraz domyślnie instalowany na Mac OS 10 x.6, ale nie na każdym z naszych serwerów.

    Sekcja os x powinna czytać gw990 x 10.4+, a nie 10.4 i wcześniej.

    Znaczenie błędu: Phar
    > “/ <ścieżka> /go-pear.phar” może nie mieć specjalnego
    > Ostrzeżenie PHP: require_once (phar: //go-pear.phar/index.php): Błąd podczas otwierania strumienia: phar “/ <ścieżka> /go-pear.phar” nie ma zdefiniowanej sygnatury działającej w / <ścieżka> / go – matryce pear.phar: 1236

    spróbuj
    php.exe -t phar.require_hash = 0 go-pear.phar

    Link:
    PEAR zapewniła szaleństwo
    h ttp: //lenss.nl/2008/07/pear-install-weirdness/

    Kiedy uruchamiam zadanie go-pear.bat (w dowolnym oknie DOS) otrzymuję następujący komunikat o błędzie:

    Ostrzeżenie: require_once (phar: //go-pear.phar/index.php): Błąd otwierania kanału: Błąd Phar: URL jest nieprawidłowy lub niedostępny Program Files EasyPHP5.3.0 perl PEAR go-pear.phar przy użyciu lin1236

    Brak oferty?

    Próbowałem zainstalować Go-Pear Windows, aby pomóc w osiągnięciu linii. Po pobraniu Structures_Graph szukam błędu XLM, który mówi mi: „Nie można go sformatować tak, jak powinien (nieprawidłowy token) w wierszu 10. Dlatego nie można zainstalować witryny ani żadnego zróżnicowanego pakietu”.

    PEAR ma co najmniej PHP 4.3:

    wget http://pear.php.net/go-pear
    php go-gruszka

    mówi mi:

    X-Powered-By: PHP / 4.2.2
    Typ treści: tekst html

    Przebaczenie! PHP Twoja wersja powinna być zaśmiecona. PEAR it i jakiś skrypt to zrobić neoWymagane, aby mieć
    nie niższy niż PHP 4.3.0 dla jednego konkretnego biznesu spożywczego.

    Witam,

    Kamień

    Jeśli byłeś za serwerem proxy, całe twoje typy mogą wyeksportować zmienną HTTP_PROXY. Nie zapomnij http: // w tempie.

    Zatrzymaj awarie i błędy za pomocą kreatora naprawy Reimage. Kliknij tutaj, aby pobrać.